Bug 514053 - ESC on Rhel does not pop up home phone url configuration dialog and esc crashes.
ESC on Rhel does not pop up home phone url configuration dialog and esc crashes.
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: esc (Show other bugs)
5.5
All Linux
low Severity medium
: ---
: ---
Assigned To: Jack Magne
desktop-bugs@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-27 15:03 EDT by Asha Akkiangady
Modified: 2013-04-12 16:21 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-01-27 10:13:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Asha Akkiangady 2009-07-27 15:03:58 EDT
Description of problem:
ESC on Rhel 5.3 does not pop up home phone url configuration dialog when a blank token is inserted and esc crashes.

Version-Release number of selected component (if applicable):
CS 8.0

How reproducible:


Steps to Reproduce:
Tried following steps on RHEL 5.3 i386 and X_86_64, esc does not pop up home
phone url configuration dialog.

coolkey version: coolkey-1.1.0-6.el5 (latest from RHEL5.3 BaseOS)
esc version: esc-1.1.0-9.el5 (cs 8.0 build)

1. Start esc application

2. Bring up Smart card Manager by clicking the tray.

3. Insert a valid "blank" smart card token#1.

4. After a few seconds esc come Phone Home
Configuration dialog pops up.

5. Enter phone home url and enroll token#1 for user#1.

6. Format token#1.

7. Remove token#1 from the usb drive.

8. Insert a valid "blank" smart card token#2.


Actual Result:
Phone home url configuration dialog does not pop up, esc crashes.

Expected Result:
Phone home url configuration dialog should pop up.
Comment 4 Asha Akkiangady 2009-12-11 15:55:13 EST
I tried to reproduce this on my desktop with RHEL 5.4 i686 having esc-1.1.0-9.el5.i386.rpm and coolkey-1.1.0-7.el5.i386.rpm and on RHEL 5.4 x86_64 with esc-1.1.0-9.el5.x86_64.rpm and coolkey-1.1.0-7.el5.x86_64.rpm, not seeing the problem any more. For the second token, dialog to enter home phone url popped just fine. I used both tokens as Gemalto 64K and a mix of Gemalto and Safenet 330J. Jack, You can mark the bug as moidified. Lets keep the bug open to retest on RHEL 5.5 with the latest coolkey.
Comment 6 Asha Akkiangady 2010-01-15 16:22:53 EST
Verified.

On a RHEL 5.5 system (any combination of server/client i386/x86_64):
1. Install ESC build esc-1.1.0-10.el5.{Arch}

2. Install coolkey build coolkey-1.1.0-14.el5.{Arch}

3. Start esc application

4. Bring up Smart card Manager by clicking the tray.

5. Insert a valid "blank" smart card token#1.

6. After a few seconds esc come Phone Home Configuration dialog pops up.

7. Enter phone home url and enroll token#1 for user#1.

8. Format token#1.

9. Remove token#1 from the usb drive.

10. Insert a valid "blank" smart card token#2, phone home config dialog popped fine. 

Tried a mix of Gemalto 64K and Safenet 330J tokens, phone home config dialog popped just fine, and esc functions properly after that.
Comment 8 errata-xmlrpc 2010-01-27 10:13:12 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2010-0066.html

Note You need to log in before you can comment on or make changes to this bug.